﻿package  net.nicoptere.marchingcubes
{
	
	/**
	 * @author nicoptere
	 * http://en.nicoptere.net/
	 */
	import flash.display.Graphics;
	import flash.geom.Point;
	import net.nicoptere.marchingcubes.Vector3D;
	public class Triangle 
	{
		public var p0:Vector3D;
		public var p1:Vector3D;
		public var p2:Vector3D;
		
		public var p:Array = new Array( 3 );
		public function Triangle( _p0:Vector3D = null, _p1:Vector3D = null, _p2:Vector3D = null) 
		{
			p0 = _p0;
			p1 = _p1;
			p2 = _p2;
			p = [ p0,p1,p2 ];
		}
		public function draw( graphics:Graphics, scale:Number = 1 , color:int = 0 ):void 
		{
			graphics.lineStyle( 0, color );
			graphics.moveTo( p0.x * scale, p0.y * scale );
			graphics.lineTo( p1.x * scale, p1.y * scale );
			graphics.lineTo( p2.x * scale, p2.y * scale );
			graphics.lineTo( p0.x * scale, p0.y * scale );
		}
		public function toString( ):String 
		{
			return '[Triangle( p0:'+p0+', p1:'+p1+', p2:'+p2+' )]';  
		}
	}
}